<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"

    android:background="@color/white_bg">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"

        android:layout_above="@id/next_btn"

        android:overScrollMode="never">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingBottom="15dp"
            android:orientation="vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"

                android:text="@string/how_to_setup"
                android:fontFamily="@font/nunito_medium"
                android:textColor="@color/black"
                android:textAppearance="@style/TextAppearance.Material3.HeadlineMedium"

                android:layout_marginHorizontal="15dp"
                android:layout_marginTop="30dp"
                android:layout_marginBottom="15dp"

                />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="25dp"

                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:layout_marginHorizontal="25dp"

                    android:gravity="center_horizontal"

                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"

                        android:text="@string/_1"
                        android:fontFamily="@font/nunito_semibold"
                        android:textAppearance="@style/TextAppearance.Material3.TitleLarge"
                        android:textColor="#005F9A"
                        android:textAlignment="center"
                        android:gravity="center"

                        android:background="@drawable/ic_setup_bg"

                        />

                    <View
                        android:layout_width="3dp"
                        android:layout_height="50dp"
                        android:background="@color/color_accent"
                        android:contentDescription="@string/how_to_setup"

                        android:layout_marginVertical="@dimen/_17sdp"/>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="15dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"

                        android:text="@string/create_your_account"
                        android:fontFamily="@font/nunito_semibold"
                        android:textAppearance="@style/TextAppearance.Material3.TitleLarge"
                        android:textColor="@color/black"

                        />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"

                        android:text="@string/enter_your_basic_details_like_name_number_email_address_pin"
                        android:fontFamily="@font/nunito_regular"
                        android:textColor="@color/black"
                        android:textAppearance="@style/TextAppearance.Material3.TitleMedium"

                        android:textSize="15sp"

                        />

                </LinearLayout>



            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"

                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:layout_marginHorizontal="25dp"
                    android:gravity="center_horizontal"

                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"

                        android:text="@string/_2"
                        android:fontFamily="@font/nunito_semibold"
                        android:textAppearance="@style/TextAppearance.Material3.TitleLarge"
                        android:textColor="#005F9A"
                        android:textAlignment="center"
                        android:gravity="center"

                        android:background="@drawable/ic_setup_bg"

                        />

                    <View
                        android:layout_width="3dp"
                        android:layout_height="50dp"

                        android:background="@color/color_accent"

                        android:contentDescription="@string/how_to_setup"

                        android:layout_marginVertical="@dimen/_17sdp"/>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="15dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"

                        android:text="@string/accept_invitation"
                        android:fontFamily="@font/nunito_semibold"
                        android:textAppearance="@style/TextAppearance.Material3.TitleLarge"
                        android:textColor="@color/black"

                        />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"

                        android:text="@string/accept_your_loved_one_s_invitation_to_connect"
                        android:fontFamily="@font/nunito_regular"
                        android:textColor="@color/black"
                        android:textAppearance="@style/TextAppearance.Material3.TitleMedium"

                        android:textSize="15sp"

                        />

                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"

                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:layout_marginHorizontal="25dp"

                    android:gravity="center_horizontal"

                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"

                        android:text="@string/_3"
                        android:fontFamily="@font/nunito_semibold"
                        android:textAppearance="@style/TextAppearance.Material3.TitleLarge"
                        android:textColor="#005F9A"
                        android:textAlignment="center"
                        android:gravity="center"

                        android:background="@drawable/ic_setup_bg"

                        />

                    <View
                        android:layout_width="3dp"
                        android:layout_height="50dp"
                        android:background="@color/color_accent"
                        android:contentDescription="@string/how_to_setup"

                        android:layout_marginVertical="@dimen/_17sdp"/>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="15dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"

                        android:text="@string/subscribe"
                        android:fontFamily="@font/nunito_semibold"
                        android:textAppearance="@style/TextAppearance.Material3.TitleLarge"
                        android:textColor="@color/black"

                        />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"

                        android:text="@string/complete_application_subscription"
                        android:fontFamily="@font/nunito_regular"
                        android:textColor="@color/black"
                        android:textAppearance="@style/TextAppearance.Material3.TitleMedium"

                        android:textSize="15sp"

                        />

                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"

                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:layout_marginHorizontal="25dp"

                    android:gravity="center_horizontal"

                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"

                        android:text="@string/_4"
                        android:fontFamily="@font/nunito_semibold"
                        android:textAppearance="@style/TextAppearance.Material3.TitleLarge"
                        android:textColor="#005F9A"
                        android:textAlignment="center"
                        android:gravity="center"

                        android:background="@drawable/ic_setup_bg"

                        />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="15dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"

                        android:text="@string/you_are_ready"
                        android:fontFamily="@font/nunito_semibold"
                        android:textAppearance="@style/TextAppearance.Material3.TitleLarge"
                        android:textColor="@color/black"

                        />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"

                        android:text="@string/your_phone_is_linked_to_your_loved_one"
                        android:fontFamily="@font/nunito_regular"
                        android:textColor="@color/black"
                        android:textAppearance="@style/TextAppearance.Material3.TitleMedium"

                        android:textSize="15sp"

                        />

                </LinearLayout>

            </LinearLayout>

        </LinearLayout>

    </ScrollView>

    <com.google.android.material.button.MaterialButton
        android:id="@+id/next_btn"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"

        android:backgroundTint="@color/color_primary"

        android:layout_marginVertical="15dp"
        android:layout_marginHorizontal="15dp"

        android:text="@string/let_s_get_started"
        android:textColor="@color/white_bg"
        android:textAppearance="@style/TextAppearance.Material3.TitleLarge"
        android:textAllCaps="false"
        android:fontFamily="@font/nunito_bold"

        android:layout_alignParentBottom="true"

        android:paddingVertical="10dp"

        app:cornerRadius="10dp"

        android:drawableEnd="@drawable/ic_forward_error"
        />

</RelativeLayout>